OGRE: Ogre::VisibleObjectsBoundsInfo Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::VisibleObjectsBoundsInfo Struct Reference
[Scene]

Structure collecting together information about the visible objects that have been discovered in a scene. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Member Functions
| VisibleObjectsBoundsInfo ()
void | reset ()
void | merge (const AxisAlignedBox &boxBounds, const Sphere &sphereBounds, const Camera *cam, bool receiver=true)
void | mergeNonRenderedButInFrustum (const AxisAlignedBox &boxBounds, const Sphere &sphereBounds, const Camera *cam)
| Merge an object that is not being rendered because it's not a shadow caster, but is a shadow receiver so should be included in the range.
## Public Attributes
AxisAlignedBox | aabb
| The axis-aligned bounds of the visible objects.
AxisAlignedBox | receiverAabb
| The axis-aligned bounds of the visible shadow receiver objects.
Real | minDistance
| The closest a visible object is to the camera.
Real | maxDistance
| The farthest a visible objects is from the camera.
Real | minDistanceInFrustum
| The closest a object in the frustum regardless of visibility / shadow caster flags.
Real | maxDistanceInFrustum
| The farthest object in the frustum regardless of visibility / shadow caster flags.

## Detailed Description

Structure collecting together information about the visible objects that have been discovered in a scene.

Definition at line 82 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::VisibleObjectsBoundsInfo::VisibleObjectsBoundsInfo | ( |  | ) |

## Member Function Documentation

void Ogre::VisibleObjectsBoundsInfo::merge | ( | const AxisAlignedBox & | boxBounds,
|  | const Sphere & | sphereBounds,
|  | const Camera * | cam,
|  | bool | receiver = `true` |
| ) |  |  |

void Ogre::VisibleObjectsBoundsInfo::mergeNonRenderedButInFrustum | ( | const AxisAlignedBox & | boxBounds,
|  | const Sphere & | sphereBounds,
|  | const Camera * | cam |
| ) |  |  |

Merge an object that is not being rendered because it's not a shadow caster, but is a shadow receiver so should be included in the range.

void Ogre::VisibleObjectsBoundsInfo::reset | ( |  | ) |

## Member Data Documentation

AxisAlignedBox Ogre::VisibleObjectsBoundsInfo::aabb

The axis-aligned bounds of the visible objects.

Definition at line 85 of file OgreSceneManager.h.

Real Ogre::VisibleObjectsBoundsInfo::maxDistance

The farthest a visible objects is from the camera.

Definition at line 91 of file OgreSceneManager.h.

Real Ogre::VisibleObjectsBoundsInfo::maxDistanceInFrustum

The farthest object in the frustum regardless of visibility / shadow caster flags.

Definition at line 95 of file OgreSceneManager.h.

Real Ogre::VisibleObjectsBoundsInfo::minDistance

The closest a visible object is to the camera.

Definition at line 89 of file OgreSceneManager.h.

Real Ogre::VisibleObjectsBoundsInfo::minDistanceInFrustum

The closest a object in the frustum regardless of visibility / shadow caster flags.

Definition at line 93 of file OgreSceneManager.h.

AxisAlignedBox Ogre::VisibleObjectsBoundsInfo::receiverAabb

The axis-aligned bounds of the visible shadow receiver objects.

Definition at line 87 of file OgreSceneManager.h.

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:00